<?php
/**
 *
 * @package ample themes
 * @subpackage News Bulletin
 */

if ( !function_exists('news_bulletin_get_default_theme_options' ) ) :

    /**
     * Get default theme options.
     *
     * @since 1.0.0
     *
     * @return array Default theme options.
     */
    function news_bulletin_get_default_theme_options()
    {

// breaking News

        $default['news_bulletin_breaking_title']      = esc_html__( 'Breaking News', 'news-bulletin' );
        $default['news_bulletin_breaking_category_id']      = -1;
        $default['news_bulletin_breaking_post_number']     = 5;
        $default['news_bulletin_breaking_news_option']='show';



        //social sharing
        $default['news_bulletin_header_social_option']='hide';
        $default['news_bulletin_facebook_url']='#';
        $default['news_bulletin_twitter_url']='#';
        $default['news_bulletin_Google+_url']='#';
        $default['news_bulletin_linkedin_url']='#';

        //herader layout
        $default['news_bulletin_header_layout_option']='layout1';

       //slider

        $default['news_bulletin_homepage_slider_option']='show';
        $default['news_bulletin_slider_cat_id']=-1;
        $default['news_bulletin_no_of_slider']=5;
        $default['news_bulletin_banner_layout_option']='layout1';

        /*for feature section*/
        $default['news_bulletin_feature_cat_id_left']=-1;
        $default['news_bulletin_homepage_feature_option_left']='show';
        $default['news_bulletin_feature_cat_id_right']=-1;
        $default['news_bulletin_homepage_feature_option_right']='show';


        /*footer section*/
        $default['news_bulletin_copyright']=esc_html__('Copy Right Text', 'news-bulletin');

        $default['news_bulletin_date_format_option']='theme-default';
        $default['news_bulletin_meta_date_options']='date-author';
        $default['news_bulletin_site_mode_options']='light';




        // Blog.
        $default['news_bulletin_sidebar_layout_option'] = 'right-sidebar';
        $default['news_bulletin_blog_title_option'] = esc_html__('Latest Blog', 'news-bulletin');
        $default['news_bulletin_blog_excerpt_option'] = 'content';
        $default['news_bulletin_description_length_option'] = 35;
        $default['news_bulletin_show_feature_image_single_option']='show' ;


        $default['news_bulletin_breadcrumb_setting_option']='enable';
        $default['news_bulletin_latest_blog_option']=1;


        //color code

        $default['news_bulletin_category_primary_color']='#030f40';
        $default['news_bulletin_secondary_color']='#17191a ';
        $default['news_bulletin_top_header_background_color']='#000';
        $default['news_bulletin_primary_color']='#030f40';
        $default['news_bulletin_top_footer_background_color']='#444';
        $default['news_bulletin_bottom_footer_background_color']='#000';
        $default['news_bulletin_banner_layout_option']='layout1';
        $default['news_bulletin_date_format_option']='theme-default';
        $default['news_bulletin_meta_date_options']='date-author';
        $default['news_bulletin_Popular_tag_option']='hide';
        $default['news_bulletin_popular_tag_title']=esc_html__('Popular Tag', 'news-bulletin');
        $default['news_bulletin_popular_tag_post_number']=8;
        $default['news_bulletin_front_page_hide_option']='show';
        // Pass through filter.
        $default = apply_filters( 'news_bulletin_get_default_theme_options', $default );
        return $default;
    }
endif;
