<?php


/**
 * Slider  options
 * @param null
 * @return array $news_bulletin_breaking_news_option
 *
 */
if (!function_exists('news_bulletin_breaking_news_option')) :
	function news_bulletin_breaking_news_option()
	{
		$news_bulletin_breaking_news_option = array(
			'show' => esc_html__('Show', 'news-bulletin'),
			'hide' => esc_html__('Hide', 'news-bulletin')
		);
		return apply_filters('news_bulletin_breaking_news_option', $news_bulletin_breaking_news_option);
	}
endif;


if (!function_exists('news_bulletin_theme_mode')) :
    function news_bulletin_theme_mode()
    {
        $news_bulletin_theme_mode = array(
            'dark' => esc_html__('Dark Mode', 'news-bulletin'),
            'light' => esc_html__('Light Mode', 'news-bulletin'),

        );
        return apply_filters('news_bulletin_theme_mode', $news_bulletin_theme_mode);
    }
endif;


/**
 * popular Tag options
 * @param null
 * @return array
 *
 */
if (!function_exists('news_bulletin_popular_tag_option')) :
	function news_bulletin_popular_tag_option()
	{
		$news_bulletin_popular_tag_option = array(
			'show' => esc_html__('Show', 'news-bulletin'),
			'hide' => esc_html__('Hide', 'news-bulletin')
		);
		return apply_filters('news_bulletin_popular_tag_option', $news_bulletin_popular_tag_option);
	}
endif;
/**
 * Slider  options
 * @param null
 * @return array $news_bulletin_slider_option
 *
 */
if (!function_exists('news_bulletin_slider_option')) :
    function news_bulletin_slider_option()
    {
        $news_bulletin_slider_option = array(
            'show' => esc_html__('Show', 'news-bulletin'),
            'hide' => esc_html__('Hide', 'news-bulletin')
        );
        return apply_filters('news_bulletin_slider_option', $news_bulletin_slider_option);
    }
endif;


/**
 * header layout function
 *
 */
if (!function_exists('news_bulletin_header_layout_option')) :
	function news_bulletin_header_layout_option()
	{
		$news_bulletin_header_layout_option = array(
			'layout1' => esc_html__('Layout 1', 'news-bulletin'),
			'layout2' => esc_html__('Layout 2', 'news-bulletin')
		);
		return apply_filters('news_bulletin_header_layout_option', $news_bulletin_header_layout_option);
	}
endif;






/**
 * Blog/Archive Description Option
 *
 * @since magazine  1.0.0
 *
 *
 *
 * @param null
 * @return array $news_bulletin_blog_excerpt
 *
 */
if (!function_exists('news_bulletin_layout_design')) :
	function news_bulletin_layout_design()
	{
		$news_bulletin_layout_design = array(
			'full-width' => esc_html__('Full Layout', 'news-bulletin'),
			'Boxed' => esc_html__('Box Layout', 'news-bulletin'),

		);
		return apply_filters('news_bulletin_layout_design', $news_bulletin_layout_design);
	}
endif;


/**
 * date layout function
 *
 */
if (!function_exists('news_bulletin_date_format_option')) :
	function news_bulletin_date_format_option()
	{
		$news_bulletin_date_format_option = array(
			'theme-default' => esc_html__('Theme Default Date', 'news-bulletin'),
			'wordpress-default' => esc_html__('WordPress Default Date', 'news-bulletin'),

		);
		return apply_filters('news_bulletin_date_format_option',$news_bulletin_date_format_option);
	}
endif;




/*======================== meta option ====================================*/
if (!function_exists('news_bulletin_meta_option')) :
	function news_bulletin_meta_option()
	{
		$news_bulletin_meta_option = array(
			'date-author' => esc_html__('Display Author and Date', 'news-bulletin'),
			'date-only' => esc_html__('Display Date Only', 'news-bulletin'),
			'none-all' => esc_html__('None', 'news-bulletin'),
		);
		return apply_filters('news_bulletin_meta_option', $news_bulletin_meta_option);
	}
endif;
